Part TransformedCopy: Difference between revisions

From FreeCAD Documentation
(Undo revision 1098074 by C4e (talk)Removing the empty headings for now...)
Tag: Undo
 
(9 intermediate revisions by 4 users not shown)
Line 7: Line 7:
|[[Part_SimpleCopy|SimpleCopy]]
|[[Part_SimpleCopy|SimpleCopy]]
|[[Part_ElementCopy|ElementCopy]]
|[[Part_ElementCopy|ElementCopy]]
|[[Part_Module|Part]]
|[[Part_Workbench|Part]]
|IconL=Part_SimpleCopy.svg
|IconL=Part_SimpleCopy.svg
|IconR=Part_ElementCopy.svg
|IconR=Part_ElementCopy.svg
Line 17: Line 17:
|Name=Part TransformedCopy
|Name=Part TransformedCopy
|MenuLocation=Part → Create a copy → Create transformed copy
|MenuLocation=Part → Create a copy → Create transformed copy
|Workbenches=[[Part_Module|Part]]
|Workbenches=[[Part_Workbench|Part]]
|Version=0.19
|Version=0.19
|SeeAlso=[[Part_SimpleCopy|Part SimpleCopy]], [[Part_ElementCopy|Part ElementCopy]], [[Part_RefineShape|Part RefineShape]]
|SeeAlso=[[Part_SimpleCopy|Part SimpleCopy]], [[Part_ElementCopy|Part ElementCopy]], [[Part_RefineShape|Part RefineShape]]
Line 48: Line 48:
The copy has simple view properties like any other [[Part Feature|Part Feature]].
The copy has simple view properties like any other [[Part Feature|Part Feature]].


==Scripting {{VersionPlus|0.19}}==

<br>The following [[Part_TransformedCopy|Part TransformedCopy]] command can be applied after selecting one or more objects in the [[Tree view]] :

{{Code|code=
FreeCADGui.runCommand('Part_TransformedCopy')
}}

The selection could be manual (by using the mouse), or via the Python Console.<br>
To know more about selecting objects programmatically, refer to [[Selection_methods]].


<!--T:15-->
<!--T:15-->
Line 63: Line 53:
|[[Part_SimpleCopy|SimpleCopy]]
|[[Part_SimpleCopy|SimpleCopy]]
|[[Part_ElementCopy|ElementCopy]]
|[[Part_ElementCopy|ElementCopy]]
|[[Part_Module|Part]]
|[[Part_Workbench|Part]]
|IconL=Part_SimpleCopy.svg
|IconL=Part_SimpleCopy.svg
|IconR=Part_ElementCopy.svg
|IconR=Part_ElementCopy.svg

Latest revision as of 15:00, 24 February 2022

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part TransformedCopy

Menu location
Part → Create a copy → Create transformed copy
Workbenches
Part
Default shortcut
None
Introduced in version
0.19
See also
Part SimpleCopy, Part ElementCopy, Part RefineShape

Description

Part TransformedCopy produces a non-parametric copy of an object that has been displaced from its original position.

To produce other non-parametric copies use Simple Copy, ElementCopy, or RefineShape

Usage

  1. Select an object that you wish to copy.
  2. Go to the menu Part → Create a copy → Create transformed copy.

Properties

Data

The copy has a simple DataPlacement property like any other Part Feature.

View

The copy has simple view properties like any other Part Feature.